# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("*Poedit*.exe")[0]
    app_path = makepath(programfiles32, "Poedit", "Poedit.exe")

    def get_app_version(key):
        return get_file_properties(app_path)["ProductVersion"] + "." + get_file_properties(app_path)["FileVersion"].split(".")[-1]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags="/verysilent /norestart",
        key="{68EB2C37-083A-4303-B5D8-41FA67E50B8F}_is1",
        min_version=control.get_software_version(),
        get_version=get_app_version,
    )

    print("Disabling: Auto-update check")
    registry_setstring(HKEY_LOCAL_MACHINE, r"SOFTWARE\Vaclav Slavik\Poedit\WinSparkle", "CheckForUpdates", "0")


def session_setup():
    print("Disabling: Auto-update check")
    registry_setstring(HKEY_CURRENT_USER, r"Software\Vaclav Slavik\Poedit\WinSparkle", "CheckForUpdates", "0")
